import Vue from 'vue';
import Vuex from 'vuex';
import * as ustate from './module/user/state';
import * as umutations from './module/user/mutations';
import admin from './module/user/action';
import selfShop from './module/shop/selfShop';
import goods from './module/shop/goods';
import dictIndex from './module/dev/dictIndex';
import dictData from './module/dev/dictData';
import goodsTags from './module/system/goodsTags';
import banner from './module/system/banner';

Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: { admin, selfShop, goods, dictIndex, dictData, goodsTags, banner },
});
